> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Exchange

> Link your organization with a cryptocurrency exchange.



## OpenAPI

````yaml /openapi.yaml post /exchanges
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /exchanges:
    post:
      tags:
        - Exchanges
      summary: Create Exchange
      description: Link your organization with a cryptocurrency exchange.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 100
                kind:
                  type: string
                  enum:
                    - Binance
                    - Kraken
                    - CoinbaseApp
                    - CoinbasePrime
                readConfiguration:
                  type: object
                  properties:
                    publicApiKey:
                      type: string
                    privateApiKey:
                      type: string
                    password:
                      type: string
                    otp:
                      type: string
                  required:
                    - publicApiKey
                    - privateApiKey
                writeConfiguration:
                  type: object
                  properties:
                    publicApiKey:
                      type: string
                    privateApiKey:
                      type: string
                    password:
                      type: string
                    otp:
                      type: string
                  required:
                    - publicApiKey
                    - privateApiKey
              required:
                - kind
                - readConfiguration
                - writeConfiguration
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  kind:
                    type: string
                    enum:
                      - Binance
                      - Kraken
                      - CoinbaseApp
                      - CoinbasePrime
                  dateCreated:
                    type: string
                required:
                  - id
                  - kind
                  - dateCreated
                additionalProperties: false
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````